/* 
*
*  ProLinga-Soap
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Soap.
*
*  ProLinga-Soap is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Soap is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Soap. If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef SOAP_CLIENT_HPP
#define SOAP_CLIENT_HPP 1

/* Declarations libxml2 */
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
/* End declarations libxml 2 */


/* Class for the SOAP client */
class PlSoapClient
{
	public:
		PlSoapClient();
		~PlSoapClient();
		xmlDocPtr soapCall(const xmlDocPtr docRequest, const char *serviceEndPoint, const int compression);
	private:

};
typedef PlSoapClient *PlSoapClientPtr;

#endif /* SOAP_CLIENT_HPP */
